<?php

defined('_JEXEC') or die('Acesso restrito ao Joomla!');
jimport('joomla.application.component.model');


class GetMailingModelCadastro extends JModel {

	
	function __construct(){
	
		parent::__construct();

	}
	
	
	function getIntroducao(){
	
		$db =& JFactory::getDBO();
		
		/* Este bloco captura nos parâmetros do componente o que foi definido como título da página */
        $params =& JComponentHelper::getParams( 'com_getmailing' );
		$params_component = new JParameter($params->_raw);
		$params->merge($params_component);
		$params->merge($params);
		
		$tituloComponente = $params->get( 'titulo_getmailing' );
		
		//se não foi setado nenhum título nas preferências do componente, adiciona um título Default
		if($tituloComponente == "" || $tituloComponente == null){
			$tituloComponente = "Cadastre-se em nossa Newsletter - GetMailing";
		}		
						
		//Capturando o texto de introdução da página
        $query = "SELECT params FROM #__components WHERE admin_menu_link = 'option=com_getmailing&task=texto_introducao&controller=getmailing'";
        $db->setQuery($query);
        $textoIntro = $db->loadResult();

        if($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
				
		echo '<h1 class="componentheading">' . $tituloComponente . '</h1>';					
			
		if($textoIntro != null || $textoIntro != ''){
			echo '<div id="texto_introducao_getmailing">' . $textoIntro . '</div>';
		}
		
	}

}

?>