<?php

defined('_JEXEC') or die();

jimport('joomla.application.component.model');

class GetMailingModelIntroducao extends JModel {

    /**
     * Captura o texto de introdução que está no BD, para ser adicionado ao formulário de edição do mesmo
     * @return void
     */
    function &getIntroducao() {

        global $option;

        $db =& JFactory::getDBO();

        $this->_intro = null;
        
        $query = "SELECT params FROM #__components WHERE admin_menu_link = 'option=com_getmailing&task=texto_introducao&controller=getmailing'";

        $db->setQuery($query);

        $this->_intro = $db->loadResult();

        if($db->getErrorNum()) {

            echo $db->stderr();

            return false;

        }

        return $this->_intro;

    }

    /**
     * Salva o texto de introdução no BD
     * @return boolean
     */
    function salvaIntroducao() {

        $retorno = true;

        $textoIntroducao =  JRequest::getVar('texto_introducao', '', 'post', 'string', JREQUEST_ALLOWRAW);

        $db =& JFactory::getDBO();

        $query = "UPDATE #__components SET params = '$textoIntroducao' WHERE admin_menu_link = 'option=com_getmailing&task=texto_introducao&controller=getmailing'";

        $db->setQuery($query);

        if(!$db->query()) {

            $retorno = false;

        }

        return $retorno;

    }

}

?>