<?php

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

JHTML::_('stylesheet', 'getmailing.css', 'administrator/components/com_getmailing/assets/css/');

class GetMailingViewRegistro extends JView {

    /**
     * GetMailing view display method
     * @return void
     */

    function display($tpl = null) {

        //Pegando os dados do registro, caso esteja editando
        $registro =& $this->get('Registro');

        $isNew = ($registro->id < 1);

        if ($isNew) {

            JToolBarHelper::title(JText::_('TITULO_CADASTRAR_REGISTRO'), 'icone_titulo');

            JToolBarHelper::save();
            JToolBarHelper::cancel();

        } else {

            JToolBarHelper::title(JText::_('TITULO_EDITAR_REGISTRO'), 'icone_titulo');

            JToolBarHelper::save();
            JToolBarHelper::cancel( 'cancel', 'Close' );

        }

        $this->assignRef('registro', $registro);

        parent::display($tpl);

    }

}

?>